- hosts: all
  become: true
  vars:
    check_mk_agent_with_sudo: False
    check_mk_agent_over_ssh: False
    check_mk_agent_add_host_pubkey: False
    check_mk_agent_monitoring_host: vm001.warp
    check_mk_agent_monitoring_user: automation
    check_mk_agent_add_to_wato: True
    check_mk_agent_monitoring_host_discovery_mode: new
    check_mk_agent_monitoring_host_folder: "LDR"
    check_mk_agent_setup_firewall: False
    ntp_enabled: true
    ntp_timezone: Europe/Amsterdam
    ntp_manage_config: true
    resolv_nameservers:
      - 192.168.1.1
    resolv_domain: "warp"
    resolv_search:
      - "warp3.com"
    resolv_options:
      - timeout:2

  pre_tasks:
    - name: Put check-mk repo in place
      copy:
        src: check-mk.repo
        dest: /etc/yum.repos.d/check-mk.repo
      when: ansible_distribution == 'CentOS' or ansible_distribution == 'Red Hat Enterprise Linux'
  roles:
    - ansible-resolv
    - ansible-ntp
    - ansible-role-checkmk
